Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 99283 - sys-kernel/genkernel-3.2.5 exits without actually doing anything
Summary: sys-kernel/genkernel-3.2.5 exits without actually doing anything
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: genkernel (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Genkernel Maintainers
URL:
Whiteboard: InCVS
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-16 20:24 UTC by Joshua Hoblitt
Modified: 2006-03-21 04:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Hoblitt 2005-07-16 20:24:11 UTC
genernel 3.2.5 always exits on my system without doing any work.  I tried many
different combination of flags (and none at all); the result was always the same.

e.g.
--
 # genkernel  --debuglevel=5 --menuconfig --oldconfig all
* CMD_DEBUGLEVEL: 5
* CMD_MENUCONFIG: 1
* CMD_CLEAN: 0
* CMD_OLDCONFIG: 1
* Gentoo Linux Genkernel; Version 3.2.5
* Running with options: --debuglevel=5 --menuconfig --oldconfig all
[genkernel exits]
--

Downgrading to 3.1.6 resolved the issue.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




Portage 2.0.51.22-r1 (default-linux/amd64/2005.0, gcc-3.4.3,
glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r7 x86_64)
=================================================================
System uname: 2.6.11-gentoo-r7 x86_64 AMD Opteron(tm) Processor 146
Gentoo Base System version 1.6.12
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.10
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r4
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/init.d /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig digest distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/src/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X aac aalib acl acpi4linux aim alsa amd avi bash-completion berkdb
bitmap-fonts bzip2 cairo cddb cdr chroot crypt cups curl directfb dvd dvdr eds
emul-linux encode esd fam flac foomaticdb fortran freetype gdbm gif gnome gnome2
gnutls gphoto2 gpm gstreamer gtk gtk2 hal howl imlib ipv6 jpeg ldap libwww lzw
lzw-tiff mailwrapper mbox md5sum mikmod mng mono mozilla mozsvg mp3 mpeg mysql
ncurses nls nptl offensive ogg oggvorbis opengl pam pcre pdflib perl pic png
python quicktime readline samba sdl slang spell sqlite ssl svg sysfs sysvipc
tcpd tetex theora tiff truetype-fonts type1-fonts unicode usb userlocales vim
vim-pager vim-with-x vorbis xine xinerama xml2 xmms xpm xv xvid zlib
userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Comment 1 Tim Yamin (RETIRED) gentoo-dev 2005-07-17 14:35:39 UTC
Can you run bash -x /usr/share/genkernel $arguments please?
Comment 2 Eric Edgar (RETIRED) gentoo-dev 2005-07-18 05:08:12 UTC
also look to /var/log/genkernel.log for additional clues.
Comment 3 Eric Edgar (RETIRED) gentoo-dev 2005-07-18 14:56:52 UTC
removal of make prepare called before a config is in place should fix this 
issue.
Comment 4 Joshua Hoblitt 2005-07-18 16:47:02 UTC
Do you still want the bash trace/etc. from me?
Comment 5 Tim Yamin (RETIRED) gentoo-dev 2005-07-19 07:48:49 UTC
Please give genkernel-3.2.8 a go, if you are still experiencing issues then
reopen this bug. Thanks!
Comment 6 Joshua Hoblitt 2005-07-19 13:56:34 UTC
I can confirm that 3.2.9 (3.2.8 didn't show up in the portage tree) is working.
 Thanks.
Comment 7 Kerin Millar 2006-03-21 04:28:53 UTC
This was resolved quite a while ago. Time for full closure.